local BC = {
	Event = {},
	data = {toggle = false,
	x =425,
	y =240,
	alpha = 1,},
	 
}


function BC.Event.LoadEnd(identifier)
	if identifier == "BlackChat" then
	
		print("BlackChat loaded. /BC")
		
		
	end
end


	

local function AddDragFrame(window)

  function window.Event:LeftDown()
    self.leftDown = true
    local mouse = Inspect.Mouse()
    self.originalXDiff = mouse.x - self:GetLeft()
    self.originalYDiff = mouse.y - self:GetTop()
    local left, top, right, bottom = window:GetBounds()
    window:ClearAll()
    window:SetPoint("TOPLEFT", UIParent, "TOPLEFT", left, top)
    window:SetWidth(right-left)
    window:SetHeight(bottom-top)
  end

  function window.Event:LeftUp()
    self.leftDown = false
  end

  function window.Event:LeftUpoutside()
    self.leftDown = false
  end

  function window.Event:MouseMove(x, y)
    if not self.leftDown then
      return
    end
    window:SetPoint("TOPLEFT", UIParent, "TOPLEFT", x - self.originalXDiff, y - self.originalYDiff)
	BC.data.meter_x = x - self.originalXDiff
	BC.data.meter_y = y - self.originalYDiff
  end
end

-- start frames
local main = UI.CreateContext("UI")
local box = UI.CreateFrame("Frame", "box", main)


box:SetPoint("TOPLEFT",UI.Native.Console1,"TOPLEFT",20,30)
box:SetWidth(425)
box:SetHeight(240)
box:SetAlpha(1)

--strata options
--hud
--notify
--dialog
--tutorial
--menu
--layout
--topmost
--modal
--UI.Native.Console1:SetStrata("dialog")
box:SetVisible(false)

box:SetBackgroundColor(0,0,0)

function BC.Event.SlashHandler(str)
	UI.Native.Console1:SetStrata("dialog")
	box:SetWidth(tonumber(BC.data.x))
	box:SetHeight(tonumber(BC.data.y))
	box:SetAlpha(tonumber(BC.data.alpha))
	local cmd, arg = string.match(str, "(%a+) ?(.*)")
		if cmd == "toggle" then
			
			if BC.data.toggle == true then 
			box:SetVisible(false)
			BC.data.toggle = false
			
			elseif BC.data.toggle == false then 
			box:SetVisible(true)
			BC.data.toggle = true
			end
			
			
			end
			
		if cmd == "alpha" then
			z = tonumber(arg)
			if z <= 10 and z>=0 then
			box:SetAlpha(z/10.0)
			print("Setting Alpha Level to " ..z)
			BC.data.alpha = z /10.0
			else
			print("Invalid Alpha - enter 0 thru 10")
			end
		end
		
		if cmd == "resize" then
		local x,y = string.match(arg, "(%d+) ?(%d+)")
		print("Setting Width to " .. x)
		print("Setting Height to " .. y)
		print("Default is 425 240")
		if x and y then
		box:SetWidth(tonumber(x))
		box:SetHeight(tonumber(y))
		BC.data.x = tonumber(x)
		BC.data.y = tonumber(y)
		
		end
		end
		
		if cmd == "reset" then
		box:SetWidth(425)
		box:SetHeight(240)
		BC.data.x = 425
		BC.data.y = 240
		BC.data.alpha = 1
		box:SetAlpha(1)
		end
	end
	
	
	--saved var
	local function BCsave()
 BCx = BC.data.x
	BCy = BC.data.y
	BCalpha = BC.data.alpha

   end


local function BCload()
if BCx then
	BC.data.x = tonumber(BCx)
end

if BCy then
BC.data.y = tonumber(BCy)
end

if BCalpha then
 BC.data.alpha = tonumber(BCalpha)
 end
  end
	
table.insert(Event.Addon.SavedVariables.Save.Begin, {BCsave, "BlackChat", "Save variables"})
table.insert(Event.Addon.SavedVariables.Load.End, {BCload, "BlackChat", "Load variables"})
table.insert(Event.Addon.Load.End, 				{BC.Event.LoadEnd, 			"BlackChat", "Init"})
table.insert(Command.Slash.Register("BC"), 		{BC.Event.SlashHandler, 	"BlackChat", "Slash"})